<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Bulma</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template">
    <div class="wrapper">

      <!-- START Sidebar -->
      <div class="sidebar-wrapper has-background-white-bis">
        <div class="ml-4 my-4">
          <h1 class="title is-4">Time tracker</h1>
          {% assign activeUser = users | where: "id", options.activeUser | first %}
          <div class="subtitle">{{ activeUser.name }}</div>
        </div>
        <hr class="my-4">
        <aside class="menu">
          <div class="menu-list">
            <a href="index.html">
              <span class="icon is-small"><i class="fas fa-tachometer-alt"></i></span>
              <span class="ml-1">Dashboard</span>
            </a>
            <a href="time.html">
              <span class="icon is-small"><i class="far fa-clock"></i></span>
              <span class="ml-1">Time tracking</span>
            </a>
            <a href="projects.html">
              <span class="icon is-small"><i class="fas fa-project-diagram"></i></span>
              <span class="ml-1">Projects</span>
            </a>
            <a href="clients.html">
              <span class="icon is-small"><i class="fas fa-star"></i></span>
              <span class="ml-1">Clients</span>
            </a>
            <a class="is-active" href="teams.html">
              <span class="icon is-small"><i class="fas fa-users-cog"></i></span>
              <span class="ml-1">Teams</span>
            </a>
            <a href="users.html">
              <span class="icon is-small"><i class="fas fa-users"></i></span>
              <span class="ml-1">Users</span>
            </a>
            <a href="settings.html">
              <span class="icon is-small"><i class="fas fa-cogs"></i></span>
              <span class="ml-1">Settings</span>
            </a>
          </div>
        </aside>
      </div>
      <!-- END Sidebar-->
  

      <!-- START Main -->
      <div class="main-wrapper">
  
        <nav class="navbar is-light" role="navigation" aria-label="main navigation">      
          <div class="navbar-menu is-active">
            <div class="navbar-start">
              <a class="navbar-item" id="js-open-nav">
                <span class="icon is-small">
                  <i class="fas fa-bars"></i>
                </span>
                <span class="ml-2">Menu</span>
              </a>
            </div>
        
            <div class="navbar-end">
              <div class="navbar-item">
                <div class="buttons">
                  <a class="button is-primary" href="#" id="js-logout">
                    <strong>Log out</strong>
                  </a>
                </div>
              </div>
            </div>
          </div>
        </nav>
  
        <!-- START Content -->
        <section class="section">
        <div class="container">

          <div class="level">
            <div class="level-left">
              <h2 class="title is-3">Teams</h2>
            </div>
            <div class="level-right">
              <a href="../index.html" class="button is-small">Change framework</a>
              <button type="button" class="button is-small" id="js-load-data">Reset data</button>
            </div>
          </div>
  
  
          <h3 class="title is-4">All teams</h3>  
          {% for team in teams %}
            {% if team.active == 1 %}
            <div class="card mb-5">
              <div class="card-content">
                <div class="columns">
                  <div class="column">
                    <div class="content">
                      <h5 class="mb-1">{{ team.name }}</h5>
                      <p>  
                        {% for userId in team.users %}
                          {% assign user = users | where: "id", userId %}
                          <span class="tag is-dark">{{ user.first.username }}</span>
                        {% endfor %}
                      </p>
                    </div>
                  </div>
                  <div class="column is-narrow">
                    <button type="button" class="button is-danger" data-delete-team="{{ team.id }}">
                      <span class="icon is-small">
                        <i class="fas fa-trash-alt"></i>
                      </span>
                    </button>
                  </div>
                </div>
              </div>
            </div>
            {% endif %}
          {% endfor %}
  
          <div class="mt-5">
            <button id="js-modal-open" class="button is-info">
              <span class="icon">
                <i class="fas fa-plus"></i> 
              </span>
              <span>Add team</span>
            </button>
          </div>
  
          <hr class="my-4">
  
          <h3 class="title is-4">Inactive teams</h3>  
          {% for team in teams %}
            {% if team.active == 0 %}
            <div class="card mb-5">
              <div class="card-content">
                <div class="content">
                  <h5 class="mb-1">{{ team.name }}</h5>
                  <p>  
                    {% for userId in team.users %}
                      {% assign user = users | where: "id", userId %}
                      <span class="tag is-dark">{{ user.first.username }}</span>
                    {% endfor %}
                  </p>
                </div>
              </div>
            </div>
            {% endif %}
          {% endfor %}

        </div>
        </section>
        <!-- END Content -->

      </div>
      <!-- END Main -->
  
    </div>
    <!-- END Wrapper -->



    <!-- START Modal -->
    <div class="modal">
      <div class="modal-background"></div>
      <div class="modal-card">
        <form id="js-add-team">
          <header class="modal-card-head">
            <p class="modal-card-title">New team</p>
            <button class="delete" aria-label="close"></button>
          </header>
          <section class="modal-card-body">
            <div class="field">
              <label class="label">Team name</label>
              <div class="control">
                <input class="input" type="text" placeholder="Team name" name="name" required>
              </div>
            </div>
            <div class="field">
              <label class="label">Users</label>
              <div class="control">
                <div class="select is-fullwidth is-multiple">
                  <select multiple required name="users">
                    {% for user in users %}
                    <option value="{{ user.id }}">{{ user.username }}</option>
                    {% endfor %}
                  </select>
                </div>
              </div>
            </div>
          </section>
          <footer class="modal-card-foot">
            <button type="submit" class="button is-success">Add</button>
            <button class="button" id="js-modal-close">Cancel</button>
          </footer>
        </form>
      </div>
    </div>
    <!-- END Modal -->

  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>